Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

Probleme bei der Installation von Kismet

Alles rund um das Internet, Internet-Anwendungen (E-Mail, Surfen, Cloud usw.) und das Einrichten von Netzwerken einschl. VPN unter Linux

Moderator: Moderatoren

Antworten
a108177
Newbie
Newbie
Beiträge: 7
Registriert: 20. Feb 2005, 17:27

Probleme bei der Installation von Kismet

Beitrag von a108177 »

Hallo Leute,
nachdem mein Wireless-LAN jetzt problemlos funzt :D , wollte ich das Programm "kismet" installieren. Heruntergeladen habe ich es bereits.
Zunächst muss ich (laut README) ein "./configure" ausführen. Genau dabei geht das Programm aber schon "auf die Bretter":

Code: Alles auswählen

checking for group 'man'... checking for initscr in -lncurses... no
configure: WARNING: Unable to find libncurses
checking for initscr in -lcurses... no
configure: error: Unable to find libncurses or libcurses
rpm sagt mir aber folgendes:

Code: Alles auswählen

 rpm -qal | grep libncurses
/usr/lib/libncurses.so.4
/usr/lib/libncurses.so.4.2
/lib/libncurses.so.5
/lib/libncurses.so.5.4
/usr/lib/libncursesw.so.5
/usr/lib/libncursesw.so.5.4
Kann mir jemand sagen, was dort "faul" ist, bzw. was ich falsch gemacht habe (ich bin absoluter Neuling in Sachen Linux)?

Vielen Dank,
Willi :?:
Benutzeravatar
Martin Breidenbach
Ultimate Guru
Ultimate Guru
Beiträge: 5632
Registriert: 26. Mai 2004, 21:33
Wohnort: N 50.17599° E 8.73367°

Beitrag von Martin Breidenbach »

Üblicherweise schreit sowas immer nach den -devel Versionen der Pakete.
Nicht Böse sein ! Der Onkel macht doch nur Spaß !
a108177
Newbie
Newbie
Beiträge: 7
Registriert: 20. Feb 2005, 17:27

Beitrag von a108177 »

Und was bedeutet das (ich bin absoluter Newbie, deshalb verstehe ich vielleicht nicht gleich jede Antwort)?
Benutzeravatar
Martin Breidenbach
Ultimate Guru
Ultimate Guru
Beiträge: 5632
Registriert: 26. Mai 2004, 21:33
Wohnort: N 50.17599° E 8.73367°

Beitrag von Martin Breidenbach »

Du mußt das Developer-Paket zu libncurses installieren.

Falls Du SuSE hast:

Yast2 - Software installieren - suchen - ncurses

rechts das mit devel anklicken

installieren

.... und da solange bis configure aufhört zu maulen und das kann dauern.
Nicht Böse sein ! Der Onkel macht doch nur Spaß !
a108177
Newbie
Newbie
Beiträge: 7
Registriert: 20. Feb 2005, 17:27

Beitrag von a108177 »

Hallo Martin,
vielen Dank für die Info. Nach der Installation des rpm-Pakets hats funktioniert. Jetzt "nur noch" kismet konfigurieren und dann kanns losgehen (das allerdings erst morgen).

Nochmal vielen Dank,
Willi :lol:
Antworten